Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_TSS_Resources Class Reference

The TSS resoures shared by all the ORBs. More...

`#include <ORB_Core.h>`

Collaboration diagram for TAO_TSS_Resources:

[legend]
List of all members.

## Public Methods
| TAO_TSS_Resources (void)
| Constructor. More...
| ~TAO_TSS_Resources (void)
| Destructor. More...
## Public Attributes
void * | poa_current_impl_
| Points to structure containing state for the current upcall context in this thread. More...
CORBA_Environment * | default_environment_
| The default environment for the thread. More...
CORBA_Environment | tss_environment_
| If the user (or library) provides no environment the ORB_Core still holds one. More...
TAO_Policy_Current_Impl | initial_policy_current_
| The initial PolicyCurrent for this thread. Should be a TSS resource. More...
TAO_Policy_Current_Impl * | policy_current_
| This pointer is reset by the POA on each upcall. More...
## Private Methods
| TAO_TSS_Resources (const TAO_TSS_Resources &)
void | operator= (const TAO_TSS_Resources &)

## Detailed Description

The TSS resoures shared by all the ORBs.

This class is used by TAO to store the resources that are thread-specific but are *not* ORB specific. The members are public because only the ORB Core is expected to access them.

## Constructor & Destructor Documentation

TAO_TSS_Resources::TAO_TSS_Resources | ( | void |  | ) |

| Constructor.

TAO_TSS_Resources::~TAO_TSS_Resources | ( | void |  | ) |

| Destructor.

TAO_TSS_Resources::TAO_TSS_Resources | ( | const TAO_TSS_Resources & |  | ) | `[private]`

## Member Function Documentation

void TAO_TSS_Resources::operator= | ( | const TAO_TSS_Resources & |  | ) | `[private]`

## Member Data Documentation

CORBA_Environment* TAO_TSS_Resources::default_environment_

| The default environment for the thread.

TAO_Policy_Current_Impl TAO_TSS_Resources::initial_policy_current_

| The initial PolicyCurrent for this thread. Should be a TSS resource.

void* TAO_TSS_Resources::poa_current_impl_

| Points to structure containing state for the current upcall context in this thread. Note that it does not come from the resource factory because it must always be held in thread-specific storage. For now, since TAO_ORB_Core instances are TSS singletons, we simply ride along and don't allocate occupy another TSS slot since there are some platforms where those are precious commodities (e.g., NT).

TAO_Policy_Current_Impl* TAO_TSS_Resources::policy_current_

| This pointer is reset by the POA on each upcall.

CORBA_Environment TAO_TSS_Resources::tss_environment_

| If the user (or library) provides no environment the ORB_Core still holds one.

The documentation for this class was generated from the following files:

- ORB_Core.h
- ORB_Core.cpp